/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ThreadingLinkProvider");

/**
 * interface to obtain URL of topologically associated artifacts
 * @private
 */
dojo.declare("com.ibm.mashups.enabler.ThreadingLinkProvider", null, {
    /**
     * Returns the URL of the parent resource or <code>null</code> if it is not specified.
     * @return {String} parent link
     */
    getParentLink: function(){
    },
    
    /**
     * Returns the URL of the child resources or <code>null</code> if it is not specified.
     * @return {String} children link
     */
    getChildrenLink: function(){
    }
});
